Bug 209093 - Openoffice.org-calc ignores landscape page format
Openoffice.org-calc ignores landscape page format
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-03 03:50 EDT by Fred New
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-04 01:01:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
little demo of my own (6.98 KB, application/vnd.oasis.opendocument.spreadsheet)
2006-10-03 05:23 EDT, Caolan McNamara
no flags Details

  None (edit)
Description Fred New 2006-10-03 03:50:29 EDT
Description of problem:
I have a multi-sheet spreadsheet with mixed portrait & landscape page formats. 
When I try to print one of the landscape sheets, it gets printed portrait.

Version-Release number of selected component (if applicable):
openoffice.org-calc-2.0.2-5.19.2

How reproducible:  Always

Steps to Reproduce:
1. Start oocalc.
2. Set Tools->Options->OpenOffice.org Calc->Print to print only selected sheets.
3. Format a sheet page to print landscape.
4. Print it.
  
Actual results:
The page prints in portrait format.

Expected results:
The page should print in landscape format.

Additional info:
My printer is a locally attached HP LaserJet 4L.  If I print the sheet using
<Ctrl>P, "portrait" appears in the printer properties.  If I change the
properties to "landscape", the sheet prints correctly.

I can attach a sample spreadsheet if you have difficulty reproducing this problem.

I haven't tested if this bug appears in other OpenOffice.org tools, like Writer
or Impress.

I didn't have this problem with the previous release.  (I update and print from
this spreadsheet every month, so the last time I printed from it was with the
current release one month ago.)
Comment 1 Caolan McNamara 2006-10-03 05:19:13 EDT
This latest OOo update has no changes in it in relation to printing vs the
previous release, so I wouldn't expect that this has happened just because of a
bump to .19.2

The printer options paper orientation normally should be overridden for
impress/writer and calc by the page stype orientation, so that setting normally
doesn't affect OOo apps (except for the minor one without page styles, e.g. math)

If you print to file, and view the .ps does the same thing happen as when you
actually print the document to your printer.
Comment 2 Caolan McNamara 2006-10-03 05:23:20 EDT
Created attachment 137632 [details]
little demo of my own

Can you attach your own example, I created this simple one with portrait for
the first sheet, and landspace for the 2nd one and the print selected sheet
only setting. 

Printing page 1 (to file) gives an expected portrait orientation, and printing
the other (to file) gives the expected landscape orientation
Comment 3 Fred New 2006-10-04 01:01:54 EDT
I had this happen to me twice, but now I can't recreate it.  Both spreadsheets
were about a month old.  I will re-open this bug if I can find a good example.

Note You need to log in before you can comment on or make changes to this bug.